Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficRangeDetailValue

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.TrafficRangeDetailValue

public class TrafficRangeDetailValue extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficRangeDetailValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetAccountingPeriod`
  `getAccountingPeriod()`
  `long`
  `getAmount()`
  `ContractTariffOption`
  `getContractTariffOption()`
  `List<TrafficRangeDetail>`
  `getDetailList()`
  `long`
  `getMaxAmount()`
  `long`
  `getRangeKey()`
  `void`
  `setAccountingPeriod(InetAccountingPeriod accountingPeriod)`
  `void`
  `setAmount(long amount)`
  `void`
  `setContractTariffOption(ContractTariffOption contractTariffOption)`
  `void`
  `setDetailList(List<TrafficRangeDetail> trafficRangeDetailList)`
  `void`
  `setMaxAmount(long maxAmount)`
  `void`
  `setRangeKey(long rangeKey)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrafficRangeDetailValue

    public TrafficRangeDetailValue()

- ## Method Details

  - ### getRangeKey

    public long getRangeKey()

  - ### setRangeKey

    public void setRangeKey(long rangeKey)

  - ### getAmount

    public long getAmount()

  - ### setAmount

    public void setAmount(long amount)

  - ### getMaxAmount

    public long getMaxAmount()

  - ### setMaxAmount

    public void setMaxAmount(long maxAmount)

  - ### getDetailList

    public List<TrafficRangeDetail> getDetailList()

  - ### setDetailList

    public void setDetailList(List<TrafficRangeDetail> trafficRangeDetailList)

  - ### getContractTariffOption

    public ContractTariffOption getContractTariffOption()

  - ### setContractTariffOption

    public void setContractTariffOption(ContractTariffOption contractTariffOption)

  - ### getAccountingPeriod

    public InetAccountingPeriod getAccountingPeriod()

  - ### setAccountingPeriod

    public void setAccountingPeriod(InetAccountingPeriod accountingPeriod)